Get a Automation Blueprint Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/automation-blueprints/{automationBlueprint_uuid}

Path parameters

  • automationBlueprint_uuid string Required

    The UUID of the automation

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Name of the Automation Blueprint

    • trigger string

      What type of event will trigger this AutomationBlueprint

    • is_active boolean

      Is the automation currently active? If false will not create new execution instances

    • account object

      Account that made this automation blueprints

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • conditions array

      Conditions for the automation blueprint

    • configuration array

      Extra configuration options for the trigger of this blueprint

    • steps array[object]

      All blueprint steps attached to this blueprint

      Hide steps attributes Show steps attributes object
      • uuid string
      • created_at string
      • updated string
      • name string
      • type string
      • configuration object
        Hide configuration attribute Show configuration attribute object
        • params object
          Hide params attribute Show params attribute object
          • account_uuid object
            Hide account_uuid attributes Show account_uuid attributes object
            • type string
            • value string
      • condition_state boolean
      • parent_step_uuid string
    • steps_count string

      Amount of blueprints steps on this automation blueprint

    • webhook_targets array[object]

      List of webhook target endpoints that can be used to trigger this automation

      Hide webhook_targets attributes Show webhook_targets attributes object
      • uuid string
      • created_at string
      • updated_at string
      • url string
GET /api/v1/automation-blueprints/{automationBlueprint_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/automation-blueprints/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "a5fe607a-7767-4a70-b29c-4aafdf77cdd2",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "name": "Add new client on webhook",
  "trigger": "client.create",
  "is_active": false,
  "account": {
    "uuid": "aa8d2acc-5a07-486a-b656-1e9bd5fd7933",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "conditions": [],
  "configuration": [],
  "steps": [
    {
      "uuid": "2776cadd-20f2-4df8-8007-3960234c1e62",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated": "2026-06-08T16:08:03+01:00",
      "name": "create a new client",
      "type": "client.create",
      "configuration": {
        "params": {
          "account_uuid": {
            "type": "ref",
            "value": "trigger.account.uuid"
          }
        }
      },
      "condition_state": false,
      "parent_step_uuid": "3ae48aab-1a84-4e1b-8a4f-92ea261d6b3c"
    }
  ],
  "steps_count": "1",
  "webhook_targets": [
    {
      "uuid": "e2625da6-135e-4d04-9608-2d1e04b80486",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "url": "https://api.plannrcrm.com/api/v1/webhooks/01605357-9fba-4cab-b4f0-141476dfa4ea"
    }
  ]
}